classification
Title: remove out-of-date Mac application scripting documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: docs@python, hhas, ned.deily, python-dev
Priority: normal Keywords:

Created on 2012-06-20 14:54 by hhas, last changed 2013-02-02 08:23 by ned.deily. This issue is now closed.

Messages (4)
msg163282 - (view) Author: (hhas) Date: 2012-06-20 14:54
1. The entire '4.6. Application Scripting' section should be deleted from the following Python 2 & 3 pages as appscript (and PyOSA) is no longer developed or supported and its use is not recommended for new projects (http://appscript.sourceforge.net/status.html):

http://docs.python.org/using/mac.html#application-scripting
http://docs.python.org/release/3.2/using/mac.html#application-scripting
http://docs.python.org/dev/using/mac.html#application-scripting


2. The sentence 'For more up-to-date implementation of AppleScript support for Python, see the third-party py-appscript project: <http://pypi.python.org/pypi/appscript/>' should be deleted from the following Python 2 page:

http://docs.python.org/library/macosa.html
msg163293 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-06-20 19:42
The entire "Using Macintosh" section of the documentation set is in need of an update.  I plan to have that done for 3.3 release and the next releases of 3.2.x and 2.7.x.  The 2.6 and 3.1 releases are in security fix mode only, prior to their retirement, and no longer receive doc or bug fix updates.
msg163437 - (view) Author: (hhas) Date: 2012-06-22 17:03
@Ned: The whole page has been needing updated for years, but no-one's ever quite managed to complete it. In that light, might I suggest a two-step approach? 

1. Edit the existing text now to remove all the obsolete info (e.g. section 4.1.2. is also defunct) and check in those changes before end of this month.

2. Develop whatever shiny new content you think is needed at your leisure. 

That way, if step 2 takes longer than expected (and creating new material always does), at least the current errors won't appear in the next release.


The update to the OSA page can also be done immediately, as that's just a straight text deletion.
msg181143 - (view) Author: Roundup Robot (python-dev) Date: 2013-02-02 08:21
New changeset 7ca742d808b2 by Ned Deily in branch '2.7':
Issue #15116: Remove references to appscript as it is no longer being
http://hg.python.org/cpython/rev/7ca742d808b2

New changeset 0f0256e4a1ef by Ned Deily in branch '3.2':
Issue #15116: Remove references to appscript as it is no longer being
http://hg.python.org/cpython/rev/0f0256e4a1ef

New changeset 1b1f7ec5ddb8 by Ned Deily in branch '3.3':
Issue #15116: merge from 3.2
http://hg.python.org/cpython/rev/1b1f7ec5ddb8

New changeset 6053e0e1f05b by Ned Deily in branch 'default':
Issue #15116: merge from 3.3
http://hg.python.org/cpython/rev/6053e0e1f05b
History
Date User Action Args
2013-02-02 08:23:29ned.deilysetstatus: open -> closed
stage: resolved
resolution: fixed
versions: + Python 3.4
2013-02-02 08:21:19python-devsetnosy: + python-dev
messages: + msg181143
2012-06-22 17:03:56hhassetmessages: + msg163437
2012-06-20 19:42:42ned.deilysetversions: - Python 2.6, Python 3.1, Python 3.4
nosy: + ned.deily

messages: + msg163293

assignee: docs@python -> ned.deily
2012-06-20 14:54:12hhascreate